Bug 644071 - failing both redundant mirror logs can cause inconsistent log allocation results
failing both redundant mirror logs can cause inconsistent log allocation results
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jonathan Earl Brassow
Corey Marthaler
: TestBlocker
Depends On: 813954 1077405
Blocks: 640580 807971
  Show dependency treegraph
 
Reported: 2010-10-18 16:50 EDT by Corey Marthaler
Modified: 2014-03-17 18:36 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 619574
Environment:
Last Closed: 2013-05-23 09:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Corey Marthaler 2010-10-18 16:54:22 EDT
Just like in the original bug report, when *both* legs of the redundant mirror log are failed, and the log allocation policy is "allocate", some of the times a new redundant log is allocated and the other times only a one disk log is allocated.

If there are two mirrors, both with redundant logs, and both legs of both mirror's logs are failed, one mirror will get a new redundant log, and the other one wont.

2.6.18-225.el5

lvm2-2.02.74-1.el5    BUILT: Fri Oct 15 10:26:21 CDT 2010
lvm2-cluster-2.02.74-1.el5    BUILT: Fri Oct 15 10:27:02 CDT 2010
device-mapper-1.02.55-1.el5    BUILT: Fri Oct 15 06:15:55 CDT 2010
cmirror-1.1.39-10.el5    BUILT: Wed Sep  8 16:32:05 CDT 2010
kmod-cmirror-0.1.22-3.el5    BUILT: Tue Dec 22 13:39:47 CST 2009
Comment 5 Corey Marthaler 2011-04-28 19:08:50 EDT
Just a note that this issue still exists in the latest 5.7 rpms.

2.6.18-256.el5

lvm2-2.02.84-3.el5    BUILT: Wed Apr 27 03:42:24 CDT 2011
lvm2-cluster-2.02.84-3.el5    BUILT: Wed Apr 27 03:42:43 CDT 2011
device-mapper-1.02.63-2.el5    BUILT: Fri Mar  4 10:23:17 CST 2011
device-mapper-event-1.02.63-2.el5    BUILT: Fri Mar  4 10:23:17 CST 2011
cmirror-1.1.39-10.el5    BUILT: Wed Sep  8 16:32:05 CDT 2010
kmod-cmirror-0.1.22-3.el5    BUILT: Tue Dec 22 13:39:47 CST 2009


taft-01 lvm[7300]: Monitoring mirror device helter_skelter-syncd_both_logs_2legs_2logs_1 for events.
taft-01 lvm[7300]: Another thread is handling an event. Waiting...
taft-01 lvm[7300]: Trying to up-convert to 2 images, 2 logs.
taft-01 lvm[7300]: Monitoring mirror device helter_skelter-syncd_both_logs_2legs_2logs_1_mlog for events.
taft-01 lvm[7300]: dm_task_run failed, errno = 6, No such device or address
taft-01 lvm[7300]: helter_skelter-syncd_both_logs_2legs_2logs_1_mlog disappeared, detaching
taft-01 lvm[7300]: No longer monitoring mirror device helter_skelter-syncd_both_logs_2legs_2logs_1_mlog for events.
taft-01 lvm[7300]: Failed to lock syncd_both_logs_2legs_2logs_1
taft-01 lvm[7300]: Trying to up-convert to 2 images, 1 logs.
taft-01 lvm[7300]: Monitoring mirror device helter_skelter-syncd_both_logs_2legs_2logs_1 for events.
taft-01 lvm[7300]: Another thread is handling an event. Waiting...
taft-01 lvm[7300]: WARNING: Failed to replace 1 of 2 logs in volume syncd_both_logs_2legs_2logs_1
taft-01 lvm[7300]: 2 missing and now unallocated Physical Volumes removed from VG.
taft-01 lvm[7300]: Repair of mirrored LV helter_skelter/syncd_both_logs_2legs_2logs_1 finished successfully.
taft-01 lvm[7300]: Primary mirror device 253:2 has failed (D).
taft-01 lvm[7300]: Secondary mirror device 253:3 has failed (D).
taft-01 lvm[7300]: Device failure in helter_skelter-syncd_both_logs_2legs_2logs_1_mlog.
taft-01 lvm[7300]: syncd_both_logs_2legs_2logs_1 is consistent. Nothing to repair.
taft-01 lvm[7300]: Repair of mirrored LV helter_skelter/syncd_both_logs_2legs_2logs_1 finished successfully.
taft-01 lvm[7300]: helter_skelter-syncd_both_logs_2legs_2logs_1 is now in-sync.
taft-01 lvm[7300]: helter_skelter-syncd_both_logs_2legs_2logs_1 is now in-sync.
taft-01 lvm[7300]: dm_task_run failed, errno = 6, No such device or address
taft-01 lvm[7300]: helter_skelter-syncd_both_logs_2legs_2logs_1_mlog disappeared, detaching
taft-01 lvm[7300]: No longer monitoring mirror device helter_skelter-syncd_both_logs_2legs_2logs_1_mlog for events.
taft-01 lvm[7300]: helter_skelter-syncd_both_logs_2legs_2logs_1 is now in-sync.
Comment 12 Nenad Peric 2013-05-23 09:16:32 EDT
Tested with the newest lvm and could not hit this bug.
dm_task_run errors are still there, but the repairs were working normally. 

tested with lvm2-2.02.88-11.el5 and 20 iterations of the test.
Comment 13 Peter Rajnoha 2013-05-23 09:25:43 EDT
OK, I'm closing this one. If you encounter the problem again, feel free to reopen this report. Thanks.

Note You need to log in before you can comment on or make changes to this bug.